# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/7/24
from mitmproxy import ctx


class ProxyData:
    def __init__(self):
        self.num = 0

    def request(self, flow):
        self.num = self.num + 1
        ctx.log.info("We've seen %d flows" % self.num)


addons = [
    ProxyData()
]


if __name__ == "__main__":
    ProxyData.start_proxy()
    ProxyData.start_selenium()
    print("requests_data:", ProxyData.requests_data)
    print("response_data:", ProxyData.response_data)

    # 分析包含链接 www.douyin.com 的响应数据
    for response in ProxyData.response_data:
        if "www.douyin.com" in response['url']:
            print("Douyin response:", response)
